# Q\&A Listings/Search

{% hint style="info" %}
Remember to change **:corporation** with your corporation id(found in the integrations section of the dashboard).
{% endhint %}

## Listing ExpertAnswers

<mark style="color:green;">`GET`</mark>[ **/v2/qanda/:corporation/search**](https://public-api.expertfile.com/v2/qanda/:corporation/search)

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Url**

<table><thead><tr><th width="339.3333333333333">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>corporation</td><td>number</td><td>Corporation ID</td></tr><tr><td>username</td><td>string</td><td>Unique username</td></tr><tr><td>page_size</td><td>number</td><td>Size of page</td></tr><tr><td>page_from</td><td>number</td><td>Starting point</td></tr><tr><td>tags</td><td>string</td><td>Filter by tags. Array of tags(i.e. ["tag1","tag2"])</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  data: {
    questions: [],  
    total: 10
  },
  success: true
}  
```

{% endtab %}
{% endtabs %}

**Code**

{% tabs %}
{% tab title="Node" %}

```javascript
const accessToken = `<ACCESS TOKEN>`

fetch('https://public-api.expertfile.com/v2/qanda/:corporation/search', {
    method: 'GET',
    headers: {
        'Content-Type': 'application/x-www-form-urlencoded',
        'Authorization': `Bearer ${accessToken}`
    }
})
.then(response => response.json())
.then(json => {
    const { success, data } = json

    if (success) {
        const { questions } = data;
        console.log('Questions', questions);
    }

})
.catch(error => console.error(error));
```

{% endtab %}

{% tab title="PHP" %}

```php
$accessToken = urlencode('<ACCESS TOKEN>');
$url = 'https://public-api.expertfile.com/v2/qanda/:corporation/search';

$ch = curl_init($url);
curl_setopt(
    $ch,
    CURLOPT_HTTPHEADER,
    array('Content-Type: application/x-www-form-urlencoded', 'Authorization: Bearer ' . $accessToken)
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($ch);
$json = json_decode($response);

if($json->success){
    var_dump($json->data);
}

curl_close($ch);

```

{% endtab %}

{% tab title="Curl" %}

```
curl https://public-api.expertfile.com/v2/qanda/:corporation/search \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer <ACCESS TOKEN>"
```

{% endtab %}
{% endtabs %}

## Applying Tags Filter to ExpertAnswers

<mark style="color:green;">`GET`</mark> [**/v2/qanda/:corporation/search**](https://public-api.expertfile.com/v2/qanda/:corporation/search)

**Headers**

| Name          | Value              |
| ------------- | ------------------ |
| Content-Type  | `application/json` |
| Authorization | `Bearer <token>`   |

**Url**

<table><thead><tr><th width="339.3333333333333">Name</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>corporation</td><td>number</td><td>Corporation ID</td></tr><tr><td>tags</td><td>string</td><td>Filter by categories. Array of tags(i.e. ["tag1","tag2"])</td></tr></tbody></table>

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  data: {
    questions: [],  
    total: 10
  },
  success: true
} 
```

{% endtab %}
{% endtabs %}

**Code**

{% tabs %}
{% tab title="Node" %}

```javascript
const accessToken = `<ACCESS TOKEN>`

const params = {
    tags: JSON.stringify(['<TAG1>', '<TAG2>'])
};

const qs = new URLSearchParams(params).toString()

const path = `https://public-api.expertfile.com/v2/spotlight/:corporation/search${qs ? '?' + qs : ''}`
fetch(path, {
    method: 'GET',
    headers: {
        'Content-Type': 'application/x-www-form-urlencoded',
        'Authorization': `Bearer ${accessToken}`
    }
})
.then(response => response.json())
.then(json => {
    const { success, data } = json

    if (success) {
        const { questions, total } = data;
        console.log('Questions', questions);
    }

})
.catch(error => console.error(error));
```

{% endtab %}

{% tab title="PHP" %}

```php
$accessToken = urlencode('<ACCESS CODE>');
$parameters = array(
    'tags' => json_encode(['<TAG1>', '<TAG2>'])
);

$url = 'https://public-api.expertfile.com/v2/spotlight/:corporation/search?' . http_build_query($parameters);

$ch = curl_init($url);
curl_setopt(
    $ch,
    CURLOPT_HTTPHEADER,
    array('Content-Type: application/x-www-form-urlencoded', 'Authorization: Bearer ' . $accessToken)
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($ch);
$json = json_decode($response);

if($json->success){
    var_dump($json->data);
}

curl_close($ch);
```

{% endtab %}

{% tab title="Curl" %}

```
curl --GET \
--data-urlencode 'tags=["<TAG1>","<TAG2>"]' \
https://public-api.expertfile.com/v2/spotlight/:corporation/search \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <ACCESS CODE>"
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.expertfile.com/reference/api-reference/q-and-a-answers/q-and-a-listings-search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
